/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.ConductorDAO;
import com.rjconsultores.ventaboletos.entidad.Conductor;
import com.rjconsultores.ventaboletos.service.ConductorService;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Administrador
 */
@Service("conductorService")
public class ConductorServiceImpl implements ConductorService {

    @Autowired
    private ConductorDAO conductorDAO;

    public List<Conductor> obtenerTodos() {
        return conductorDAO.obtenerTodos();
    }

    public Conductor obtenerID(Integer id) {
        return conductorDAO.obtenerID(id);
    }

    @Transactional
    public Conductor suscribir(Conductor entidad) {
        return conductorDAO.suscribir(entidad);
    }

    @Transactional
    public Conductor actualizacion(Conductor entidad) {
        return conductorDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(Conductor entidad) {
        conductorDAO.borrar(entidad);
    }

    public Conductor buscar(String claveConductor, String contraSenha) {
        return conductorDAO.buscar(claveConductor, contraSenha);
    }
    
    public Conductor buscarPorEmpleado(int empleadoId){
    	return conductorDAO.buscarPorEmpleado(empleadoId);
    }
}
